org.eclipse.net4j.util.collection

## Class DelegatingCloseableIterator<E>

- java.lang.Object
- - org.eclipse.net4j.util.collection.DelegatingCloseableIterator<E>

- All Implemented Interfaces:
    Iterator<E>, Closeable, CloseableIterator<E>

      public class DelegatingCloseableIterator<E>
      extends Object
      implements CloseableIterator<E>

  Since:
    3.7
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DelegatingCloseableIterator(Iterator<E> delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `boolean` | `hasNext()`
    `boolean` | `isClosed()`
    `E` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### DelegatingCloseableIterator

          public DelegatingCloseableIterator(Iterator<E> delegate)

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<E>`

    - #### next

          public E next()

      Specified by:
        `next` in interface `Iterator<E>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator<E>`

    - #### close

          public void close()

      Specified by:
        `close` in interface `Closeable`

    - #### isClosed

          public boolean isClosed()

      Specified by:
        `isClosed` in interface `Closeable`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html